Subject: Re: [idn] UTF-8 as the long-term IDN solution

From: "Sherin Alsoudani" <[email-masked]>
Date: Tue, 29 May 2001 00:33:40 -0700

Dear James,

I agree that the choice of ACE-forever is simply not a realistic option.  
Given that the largest use of the Internet is for the Web, and given that at 
least for Arabic there is basically only one de facto browser that supports 
that language, then it is necessary for Arabic speakers to ask "what 
encoding, if any, does that browser support?"  The answer is UTF-8, and I 
cannot speculate on when Microsoft would upgrade their browser to send 
RACE...

For this purely pragmatic reason, I would like to express support for 
getting consensus on the two choices expressed below.

Sherin

>From: "James Seng/Personal" <[email-masked]>
>To: "D. J. Bernstein" <[email-masked]>, <[email-masked]>
>Subject: Re: [idn] UTF-8 as the long-term IDN solution
>Date: Tue, 29 May 2001 14:05:04 +0800
>
>I would like to hear some support on this before we run this poll.
>
>-James Seng
>
>----- Original Message -----
>From: "D. J. Bernstein" <[email-masked]>
>To: <[email-masked]>
>Sent: Tuesday, May 29, 2001 12:25 PM
>Subject: [idn] UTF-8 as the long-term IDN solution
>
>
> > I suspect that we have consensus that the long-term IDN solution will
> > encode Unicode characters as UTF-8 on the wire. I request that the WG
> > chairs run a poll to see whether we have consensus.
> >
> > If we do, in fact, have consensus on this point, then we can stop
> > wasting time considering ACE-now-and-forever. We can instead compare
> > the actual possibilities: (1) ACE-now-UTF-8-later; (2) simply UTF-8.
> >
> > ---Dan
> >
> > P.S. I'm not going to bother responding to Hoffman's ad-hominem
>attacks.
> >
>
>

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com

---

From: Keith Moore <[email-masked]>
Date: Tue, 29 May 2001 09:21:21 -0400

> cannot speculate on when Microsoft would upgrade their browser to send

Even if we allowed UTF-8 queries from day one, it seems unlikely that these
would be done in a manner that is compatible with this existing browser.
If nothing else, this browser isn't going to normalize the names before sending 
them in queries.

(For that matter, it's also unlikely that we would adopt RACE - we would very
likely choose some other ACE.)

Keith